org.apache.olingo.odata2.client.api.uri

## Enum SegmentType

- java.lang.Object
- - java.lang.Enum<SegmentType>
  - - org.apache.olingo.odata2.client.api.uri.SegmentType

- All Implemented Interfaces:
    Serializable, Comparable<SegmentType>

      public enum SegmentType
      extends Enum<SegmentType>

  URI Segment types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLEXPROPERTY` When we append simple complex state is changed to COMPLEXPROPERTY
    `COUNT` When there is count query option
    `ENTITY`
    `ENTITYSET` When we append entity set state is changed to ENTITYSET
    `FUNCTIONIMPORT`
    `FUNCTIONIMPORT_MANY`
    `FUNCTIONIMPORT_WITH_KEY`
    `INITIAL` Initial will be the builder state to begin with a service root url
    `KEY` When there is a key in segment
    `METADATA` When there is a metadata uri segment
    `NAVIGATION`
    `NAVIGATION_TO_MANY` When there is navigation to many then the state is NAVIGATION_TO_MANY
    `NAVIGATION_TO_MANY_WITH_KEY` When there is navigation to many with a key then the state is NAVIGATION_TO_MANY_WITH_KEY
    `NAVIGATION_TO_ONE` When there is navigation to one then the state is NAVIGATION_TO_ONE
    `PROPERTY`
    `SIMPLEPROPERTY` When we append simple property state is changed to SIMPLEPROPERTY
    `VALUE` When there is a value query option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `static SegmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SegmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final SegmentType INITIAL

      Initial will be the builder state to begin with a service root url

    - #### ENTITYSET

          public static final SegmentType ENTITYSET

      When we append entity set state is changed to ENTITYSET

    - #### ENTITY

          public static final SegmentType ENTITY

    - #### SIMPLEPROPERTY

          public static final SegmentType SIMPLEPROPERTY

      When we append simple property state is changed to SIMPLEPROPERTY

    - #### KEY

          public static final SegmentType KEY

      When there is a key in segment

    - #### COMPLEXPROPERTY

          public static final SegmentType COMPLEXPROPERTY

      When we append simple complex state is changed to COMPLEXPROPERTY

    - #### NAVIGATION_TO_MANY

          public static final SegmentType NAVIGATION_TO_MANY

      When there is navigation to many then the state is NAVIGATION_TO_MANY

    - #### NAVIGATION_TO_MANY_WITH_KEY

          public static final SegmentType NAVIGATION_TO_MANY_WITH_KEY

      When there is navigation to many with a key then the state is NAVIGATION_TO_MANY_WITH_KEY

    - #### NAVIGATION_TO_ONE

          public static final SegmentType NAVIGATION_TO_ONE

      When there is navigation to one then the state is NAVIGATION_TO_ONE

    - #### COUNT

          public static final SegmentType COUNT

      When there is count query option

    - #### VALUE

          public static final SegmentType VALUE

      When there is a value query option

    - #### METADATA

          public static final SegmentType METADATA

      When there is a metadata uri segment

    - #### PROPERTY

          public static final SegmentType PROPERTY

    - #### NAVIGATION

          public static final SegmentType NAVIGATION

    - #### FUNCTIONIMPORT

          public static final SegmentType FUNCTIONIMPORT

    - #### FUNCTIONIMPORT_WITH_KEY

          public static final SegmentType FUNCTIONIMPORT_WITH_KEY

    - #### FUNCTIONIMPORT_MANY

          public static final SegmentType FUNCTIONIMPORT_MANY

  - ### Method Detail

    - #### values

          public static SegmentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SegmentType c : SegmentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SegmentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.